<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

<!-- Optional theme -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

<!-- Latest compiled and minified JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
</head>
 
<body>
    <div class="container">
            <div class="row">
                <h3>PHP CRUD Example</h3>
            </div>
<?php

include 'connessione.php';

function table($pdo)
{
    echo <<<EOT
    <div class="row">
                <table class="table table-striped table-bordered">
                  <thead>
                    <tr>
                      <th>Name</th>
                      <th>Surname</th>
                      <th>Sex</th>
                      <th>&nbsp</th>
                      <th>&nbsp</th>
                    </tr>
                  </thead>
                  <tbody>
EOT;
                   
                   $sql = 'SELECT * FROM studenti ORDER BY cognome';
                   foreach ($pdo->query($sql) as $row) {
                            echo '<tr>';
                            echo '<td>'. $row['nome'] . '</td>';
                            echo '<td>'. $row['cognome'] . '</td>';
                            echo '<td>'. $row['sesso'] . '</td>';
                            echo '<td><a class="btn btn-default" href="index.php?action=update&id='.$row['id'].'">Update</a></td>';
                            echo '<td><a class="btn btn-default" href="index.php?action=delete&id='.$row['id'].'">Delete</a></td>';
                            echo '</tr>';
                   }
    echo <<<EOT
                  </tbody>
            </table>
EOT;
}

function delete($pdo, $id)
{
    $sql = "DELETE FROM studenti WHERE id = :id";
    $stmt = $pdo->prepare($sql);
    $stmt->execute(['id' => $id]);
    if ($stmt->rowCount() == 1)
        return true;
    return false;
}

function form($pdo, $id)
{
    $name = '';
    $surname = '';
    $sex = '';
    if (isset($id))
    {
        $sql = "SELECT * FROM studenti WHERE id = :id";
        $stmt = $pdo->prepare($sql);
        $stmt->execute(['id' => $id]);
        $row = $stmt->fetch();
        $name = $row['nome'];
        $surname = $row['cognome'];
        $sex = $row['sesso'];
    }
    else 
        $id = '';
    $form =<<<EOT
  <form action="index.php" method="POST">
  <div class="form-group">
    <label for="name">Name</label>
    <input type="text" name="name" value="$name" class="form-control" id="name" placeholder="Name">
  </div>
  <div class="form-group">
    <label for="surname">Surname</label>
    <input type="text" name="surname" value="$surname" class="form-control" id="surname" placeholder="Surname">
  </div>
  <div class="form-group">
    <label for="Sex">Sex</label>
    <input type="text" name="sex" value="$sex" class="form-control" id="sex" placeholder="Sex">
  </div>
  <input type='hidden' name="id" value="$id">
  <button type="submit" class="btn btn-default">Submit</button>
</form>

EOT;
echo $form;
}
//INSERT AND UPDATE
if (isset($_POST['name']))
{
    $values = ['name' => $_POST['name'],
               'surname' => $_POST['surname'],
               'sex' => $_POST['sex']];
        
    if ($_POST['id']!='')
    {
        $sql = <<<EOT
        UPDATE studenti SET nome = :name, 
        cognome = :surname,
        sesso = :sex
        WHERE id = :id
EOT;
        $values['id'] = $_POST['id'];
    }
    else {
        $sql = <<<EOT
        INSERT INTO studenti (nome, cognome, sesso)
        VALUES (:name,:surname,:sex)
EOT;
    }

    $stmt = $pdo->prepare($sql);
    $stmt->execute($values);
    if ($stmt->rowCount() == 1)
        echo "<p class=\"bg-success\">Success</p>";
    else 
        echo "<p class=\"bg-danger\">Error</p>";
}

$action = $_GET['action'];
$id = $_GET['id'];
//INDEX
if (!isset($action))
{
    echo "<div><a class=\"btn btn-default\" href=\"index.php?action=add\">Add new student</a></div>";
    table($pdo);
}
//DELETE
else if ($action == 'delete')
{
    if (delete($pdo, $id))
        echo "<p class=\"bg-success\">The student has been canceled</p>";
    else 
        echo "<p class=\"bg-danger\">Error</p>";
    echo "<div><a class=\"btn btn-default\" href=\"index.php?action=add\">Add new student</a></div>";
    table($pdo);
}
//FORM INSERT
else if ($action == 'add')
    form($pdo,null);
//FORM UPDATE
else if ($action == 'update')
    form($pdo,$id);


    
?>

            
        </div>
    </div> <!-- /container -->
  </body>
</html>